Textpattern CMS support forum

You are not logged in. Register | Login | Help

#11 2017-03-17 10:34:09

sgw
Member
Registered: 2012-12-18
Posts: 52

Re: newbie issues (?) - what is wrong with my forms?

I use spiridons version, with yesterday’s release.
Both l10n_txp_en_gb and l10n_txp_de_de miss the description field, correct!
Pls advise on how to create that in the “same position” … thanks

EDIT:

in “textpattern” the description field is between “Keywords” and “url_title”, is there a cool SQL-statement to add that to the other 2 tables as well?

Last edited by sgw (2017-03-17 10:46:47)

Offline

#12 2017-03-17 10:55:32

Bloke
Developer
From: Leeds, UK
Registered: 2006-01-29
Posts: 7,542
Website

Re: newbie issues (?) - what is wrong with my forms?

sgw wrote #304842:

Pls advise on how to create that in the “same position”… in “textpattern” the description field is between “Keywords” and “url_title”

That’s the position it needs to be in the MLP tables too. But as to how it’s done, I don’t know because I’ve not run spiridon’s version yet on my system. Two options:

  • If they’re real tables, then use phpMyAdmin (or equivalent) to find out the field properties of the description field in the textpattern table. e.g. its type (VARCHAR), its size, its default value, etc. Then go to the lang tables and use the GUI to add a column after Keywords with the same properties. Save and hope.
  • If the lang tables are views then that’s out of my depth at the moment until such time as I can run the new version and inspect it, sorry. I wouldn’t want to advise you to do anything and find it irreversibly broke or you lost content.

P.S. backup the database first, whatever you do :-)


The smd plugin menagerie — for when you need one more gribble of power from Textpattern. Bleeding-edge code available on GitHub.

Txp Builders – finely-crafted code, design and Txp

Offline

#13 2017-03-17 12:50:09

sgw
Member
Registered: 2012-12-18
Posts: 52

Re: newbie issues (?) - what is wrong with my forms?

hmm. currently no PMA on that server, but it’s one package only, so I go for it and try my best.
Added the 2 columns already … yes, that seems to help! Thanks, looks much better now.

Now to the next issues, this time warnings around rss_suparchive:

Tag error: <txp:rss_suparchive_bycat section=“publications” showcats=“0” showdate=“1” dateformat=”%B %Y” datesep=” / “ /> -> Textpattern Warning: tag does not exist while parsing form None on page blog

thanks so far!

Offline

#14 2017-03-17 13:23:48

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 3,844

Re: newbie issues (?) - what is wrong with my forms?

Lots of plugin related errors all over the place. Have you turned off plugin execution in Admin > Preferences or deactivated them in Admin > Plugins?


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

#15 2017-03-17 13:54:09

sgw
Member
Registered: 2012-12-18
Posts: 52

Re: newbie issues (?) - what is wrong with my forms?

uli wrote #304847:

Lots of plugin related errors all over the place. Have you turned off plugin execution in Admin > Preferences or deactivated them in Admin > Plugins?

No. I turned on all plugins now for check, rss_suparchive errors again.

Offline

#16 2017-03-17 15:43:52

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 6,000
Website

Re: newbie issues (?) - what is wrong with my forms?

sgw wrote #304850:

No. I turned on all plugins now for check, rss_suparchive errors again.

rss_suparchive is an old unsupported plugin. Most of its functionality can now be achieved using native tags.


Yiannis
——————————
neme.org | hblack.net | LABS | NeMe @ github

Offline

#17 2017-03-17 16:20:07

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 3,844

Re: newbie issues (?) - what is wrong with my forms?

With “all over the place” I meant several other sections of your website: There’s an error on contact with the dtj_obfuscated_email plugin (can probably be replaced with another plugin, yab_email.)

On references there’s mem_glinklist in use (no idea what it does).

We can help you with aged plugins when you post your plugin list from Admin > Dagnostics here.

Easiest to soothe is probably on the category pages (see services): There’s aged code for sort attributes in an article tag: Change instances of … sortby="keywords" … sortdir="desc" … to a unified … sort="keywords desc" …


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

#18 2017-03-17 16:41:05

maverick
Member
From: Southeastern Michigan, USA
Registered: 2005-01-14
Posts: 957
Website

Re: newbie issues (?) - what is wrong with my forms?

uli wrote #304858:

On references there’s mem_glinklist in use (no idea what it does).

Manfre’s plugin allows you to output link lists sorted by their category. Quite a nice little plugin in its day. Did this ability ever get rolled into the the native txp tag? If not, it seems rather like it should have.

Offline

#19 2017-03-17 17:30:08

sgw
Member
Registered: 2012-12-18
Posts: 52

Re: newbie issues (?) - what is wrong with my forms?

uli wrote #304858:

With “all over the place” I meant several other sections of your website: There’s an error on contact with the dtj_obfuscated_email plugin (can probably be replaced with another plugin, yab_email.)

On references there’s mem_glinklist in use (no idea what it does).

We can help you with aged plugins when you post your plugin list from Admin > Dagnostics here.

Easiest to soothe is probably on the category pages (see services): There’s aged code for sort attributes in an article tag: Change instances of … sortby="keywords" … sortdir="desc" … to a unified … sort="keywords desc" …

thanks for your offer and the tips how to proceed. I will look into it as soon as I find the time to do so (tmrw rain ahead …)

plugin list: kml_twitter-1.4, yab_email-0.7, dtj_obfuscated_email-0.3, zem_contact_reborn-4.5.0.0, altum Email Obfuscator-1.1.2, rss_suparchive-0.18, mem_glinklist-0.8.5m, pap_contact_cleaner-0.1, rah_metas-0.9.2., upm_image-0.6.2, upm_img_popper-1.3.7, glx_admin_image-2007.1, rvm_plugin_diff-0.2, upm_insert_tab-0.3, rss_article_edit-0.1, gbp_admin_library-4.6.2.20170310, yab_copy_to_new-0.2, wet_quicklink-0.8.2, wet_peex-1.0, smd_where_used-0.30, l10n-4.6.2.20170316

I am perfectly aware of the fact that some of these are outdated and/or obsolete.
Might be that the former designer tested this and that, for example that email obfuscation stuff (3 plugins or so). Tried yab_email already yesterday, will see how to clean the traces of the other ones.

I am quite cautious so far as there is no rollback or versioning here, so I started commenting stuff which didn’t fully work out afai see. Learning plus debugging plus upgrading at once ;-)

thanks, Stefan

Offline

#20 2017-03-17 18:20:55

sgw
Member
Registered: 2012-12-18
Posts: 52

Re: newbie issues (?) - what is wrong with my forms?

colak wrote #304855:

rss_suparchive is an old unsupported plugin. Most of its functionality can now be achieved using native tags.

Should I quote the rss_suparchive tags here?

Offline

Board footer

Powered by FluxBB